/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

a, button, .button {
  transition: all 0.3s ease-in-out;
}

button[type="submit"]:hover, a.bricks-button:hover {
    transform: scale(1.06);
}

figure.alignright {
    margin: var(--space-2xs) 0 var(--space-2xs) var(--space-m) !important;
}

figure.alignleft {
    margin: var(--space-2xs) var(--space-m) var(--space-2xs) 0 !important;
}

hr.wp-block-separator {
    border-color: #414141 !important;
    border-top: 1px solid !important;
    margin: var(--space-m) 0 !important;
}


.case-study-content h2.wp-block-heading, .case-study-content h3.wp-block-heading {
    font-family: "Epilogue";
    margin-bottom: var(--space-xs);
}

.case-study-content h2.wp-block-heading {
    font-size: var(--heading-m);
    line-height:    var(--heading-m);
}

.case-study-content h3.wp-block-heading {
    font-size: var(--heading-s);
    line-height:    var(--heading-s);
}

.case-study-content p {
    margin-block-end: var(--space-s) !important;
    margin-block-start: 0 !important;
}

.pswp.pswp--open {
    backdrop-filter: blur(10px);
}

.pswp.pswp--open .pswp__dynamic-caption {
    display: none !important;
}

.pswp__bg {
    opacity: 0.9 !important;
}

.pswp__scroll-wrap button[type="button"].pswp__button {
    align-items: center;
    aspect-ratio: 1;
    background-color: rgba(255,255,255,1.0);
    border-radius: 50%;
    display: flex;
    height: var(--text-2xl);
    justify-content: center;
    width: auto;
}

.pswp__scroll-wrap button[type="button"].pswp__button svg {
    height: var(--text-xl) !important;
    width: var(--text-xl) !important;
}

.pswp__scroll-wrap button[type="button"].pswp__button.pswp__button--zoom {
    display: none;
}

.pswp__scroll-wrap button[type="button"].pswp__button.pswp__button--close svg {
    color: rgba(0,0,0,1.0);
}

.pswp__scroll-wrap button[type="button"].pswp__button:hover {
    background-color: rgba(255,255,255,1.0);
    transform: scale(1.06);
}

.pswp__scroll-wrap button[type="button"].pswp__button.pswp__button--arrow svg {
    height: 100% !important;
    margin-top: -22px;
    width: auto !important;
}

.pswp__scroll-wrap button[type="button"].pswp__button.pswp__button--arrow svg {
    fill: rgba(0,0,0,1.0);
    height: 100%;
    width: 50px;
}

.pswp__scroll-wrap button[type="button"].pswp__button.pswp__button--arrow svg use {
    stroke: none;
}

.pswp__scroll-wrap button[type="button"].pswp__button--arrow--prev {
    left: var(--space-xs);
}

.pswp__scroll-wrap button[type="button"].pswp__button--arrow--prev svg {
    left: 0 !important;
    margin-left: 5px;
}

.pswp__scroll-wrap button[type="button"].pswp__button--arrow--next {
    right: var(--space-xs);
}

.pswp__scroll-wrap button[type="button"].pswp__button--arrow--next svg {
    right: 0 !important;
    margin-right: 5px;
}


/* ----------
/* MODULES
---------- */


/* ----
MODULE CONTENT SECTIONS
---- */


.module__content-section h1:first-of-type, .module__content-section h2:first-of-type {
    margin-bottom: var(--space-m);
    margin-top: 0;
}

.module__content-section h2 {
    font-size: var(--heading-m);
    line-height: var(--heading-m);
}

.module__content-section h3 {
    font-size: var(--heading-s);
    line-height: var(--heading-s);
}

.module__content-section .section-block .__has-border:first-of-type {
    padding-block-start: 0 !important;
}

.module__content-section ul {
    margin: var(--space-s) 0;
}

.module__content-section ul:last-of-type {
    margin-bottom: 0;
}


/* ----
MODULE COLORED BLOCK
---- */


.module__colored-block h1:first-of-type, .module__colored-block h2:first-of-type {
    margin-bottom: var(--space-m);
    margin-top: 0;
}

.module__colored-block h2 {
    font-size: var(--heading-m);
    line-height: var(--heading-m);
    margin-bottom: var(--heading-s);
}

.module__colored-block h3 {
    font-size: var(--heading-s);
    line-height: var(--heading-s);
    margin-bottom: var(--heading-2xs);
}

.module__colored-block p {
    margin-block-end: var(--space-m) !important;
    margin-block-start: 0 !important;
}

.module__colored-block p:last-of-type {
    margin-block-end: 0 !important;
}



/* ----
MODULE IMAGE GALLERY
---- */

.module__image-gallery .brxe-image-gallery .bricks-image-caption {
    background: none !important;
    background-color: transparent !important;
    color: rgba(199, 199, 199, 0.96) !important;
    font-family: "Inter" !important;
    font-size: var(--text-s) !important;
    position: static !important;
}